# TODO: optflags
Summary:	Python bindings for TagLib
Summary(pl.UTF-8):	Wiązania Pythona dla biblioteki TagLib
Name:		python-tagpy
Version:	0.94.8
Release:	2
License:	BSD-Style
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/t/tagpy/tagpy-%{version}.tar.gz
# Source0-md5:	6baff63318cf90b9bc5a2497a0597802
URL:		http://news.tiker.net/software/tagpy
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	boost-python-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 1:0.6-2.c8
BuildRequires:	rpm-pythonprov
BuildRequires:	taglib-devel
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TagPy is a set of Python bindings for Scott Wheeler's TagLib. It
builds upon Boost.Python, a wrapper generation library which is part
of the Boost set of C++ libraries.

Just like TagLib, TagPy can:
 - read and write ID3 tags of version 1 and 2, with many supported
   frame types for version 2 (in MPEG Layer 2 and MPEG Layer 3, FLAC
   and MPC),
 - access Xiph comments in Ogg Vorbis files and Ogg Flac files,
 - access APE tags in Musepack and MP3 files.

%description -l pl.UTF-8
TagPy to zestaw wiązań Pythona do biblioteki TagLib Scotta Wheelera.
Powstał w oparciu o Boost.Python - bibliotekę generowania wrapperów
będącą częścią bibliotek C++ Boost.

Podobnie jak TagLib TagPy pozwala na:
 - odczyt i zapis znaczników ID3 w wersji 1 i 2 z wieloma
   obsługiwanymi typami ramek dla wersji 2 (MPEG Layer 2 i 3, FLAC
   oraz MPC),
 - dostęp do komentarzy Xiph w plikach Ogg Vorbis i Ogg Flac,
 - dostęp do znaczników APE w plikach Musepack i MP3.

%prep
%setup -n tagpy-%{version} -q

%build
# this isn't autoconf generated
./configure.py \
	--taglib-inc-dir=`pkg-config --variable=includedir taglib`/taglib \
	--boost-python-libname=boost_python
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_tagpy.so
%dir %{py_sitedir}/tagpy
%{py_sitedir}/tagpy/*.py[co]
%dir %{py_sitedir}/tagpy/ogg
%{py_sitedir}/tagpy/ogg/*.py[co]
%{py_sitedir}/tagpy*.egg-info
%changelog
* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> e410945
Release 2

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 47c8373
configure script has been renamed

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> eb84896
Updated to 0.94.8

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 84dd81d
- release 9

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4598b6f
- release 8

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f17408e
- release 7

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a9f0913
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 28170db
- release 5

* Sun Mar 28 2010 Paweł Sikora <pluto@pld-linux.org> c794c0c
- release 4 (rebuild with boost-1.42.0)

* Fri Jan 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c4ce831
- release 3

* Sat Aug 29 2009 Paweł Sikora <pluto@pld-linux.org> a389175
- release 2 (rebuild with boost-1.40.0)

* Thu Nov 06 2008 Szymon Siwek <sls@pld-linux.org> 3c02611
- BR: python-setuptools >= 1:0.6-2.c8

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 63a5aab
- BR: pkgconfig
- python 2.5 for .egg-info

* Sat Aug 09 2008 Artur Frysiak <artur@frysiak.net> 2fe57cc
- update to 0.94.5

* Fri May 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 2db2522
- pl desc

* Tue Apr 29 2008 Paweł Sikora <pluto@pld-linux.org> 9234d4f
- reorganize boost BRs (boost-devel >= 1.35.0).

* Fri Sep 21 2007 Artur Frysiak <artur@frysiak.net> bdb50b7
- new

